StubProcess Class Reference

`#include <stub.h>`

Inheritance diagram for StubProcess:

## Public Types

enum | Scheduler { SchedNormal, SchedRealtime }
Public Types inherited from PtyProcess
enum | checkPidStatus { Error =-1, NotExited =-2, Killed =-3 }

## Public Member Functions

void | setDcopTransport (const QCString &dcopTransport)
void | setCommand (const QCString &command)
void | setUser (const QCString &user)
void | setXOnly (bool xonly)
void | setDCOPForwarding (bool dcopForwarding)
void | setPriority (int prio)
void | setScheduler (int sched)
Public Member Functions inherited from PtyProcess
int | exec (const QCString &command, const QCStringList &args)
QCString | readLine (bool block=true)
QCString | readAll (bool block=true)
void | writeLine (const QCString &line, bool addNewline=true)
void | unreadLine (const QCString &line, bool addNewline=true)
void | setExitString (const QCString &exit)
int | waitForChild ()
int | WaitSlave ()
int | enableLocalEcho (bool enable=true)
void | setTerminal (bool terminal)
void | setErase (bool erase)
void | setEnvironment (const QCStringList &env)
int | fd ()
int | pid ()

## Protected Member Functions

int | ConverseStub (int check)
void | notifyTaskbar (const QString &suffix)
virtual QCString | display ()
virtual QCString | dcopServer ()
virtual QCString | dcopAuth ()
virtual QCString | iceAuth ()
virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from PtyProcess
const QCStringList & | environment () const

## Protected Attributes

bool | m_bXOnly
bool | m_bDCOPForwarding
int | m_Priority
int | m_Scheduler
QCString | m_dcopTransport
QCString | m_Command
QCString | m_User
KCookie * | m_pCookie
Protected Attributes inherited from PtyProcess
bool | m_bErase
bool | m_bTerminal
int | m_Pid
int | m_Fd
QCString | m_Command
QCString | m_Exit

## Additional Inherited Members

Static Public Member Functions inherited from PtyProcess
static int | waitMS (int fd, int ms)
static bool | checkPid (pid_t pid)
static int | checkPidExited (pid_t pid)

## Detailed Description

Chat with kdesu_stub.

StubProcess extends PtyProcess with functionality to chat with kdesu_stub.

Definition at line 32 of file stub.h.

## Member Enumeration Documentation

enum StubProcess::Scheduler

Different schedulers.

SchedNormal is the normal Unix timesharing scheduler, while SchedRealtime is a POSIX.1b realtime scheduler.

Definition at line 75 of file stub.h.

## Member Function Documentation

int StubProcess::ConverseStub | ( | int | check | ) |

protected

Exchange all parameters with kdesu_stub.

Definition at line 80 of file stub.cpp.

virtual QCString StubProcess::dcopAuth | ( |  | ) |

inline protected virtual

See display.

Definition at line 114 of file stub.h.

virtual QCString StubProcess::dcopServer | ( |  | ) |

inline protected virtual

See display.

Reimplemented in SshProcess.

Definition at line 110 of file stub.h.

virtual QCString StubProcess::display | ( |  | ) |

inline protected virtual

This virtual function can be overloaded when special behavior is desired.

By default, it returns the value returned by KCookie.

Reimplemented in SshProcess.

Definition at line 100 of file stub.h.

virtual QCString StubProcess::iceAuth | ( |  | ) |

inline protected virtual

See display.

Definition at line 118 of file stub.h.

void StubProcess::notifyTaskbar | ( | const QString & | suffix | ) |

protected

Notify the taskbar that a new application has been started.

Deprecated:

Definition at line 178 of file stub.cpp.

void StubProcess::setCommand | ( | const QCString & | command | ) |

inline

Set the command.

Definition at line 47 of file stub.h.

void StubProcess::setDCOPForwarding | ( | bool | dcopForwarding | ) |

inline

Enable DCOP forwarding.

Definition at line 62 of file stub.h.

void StubProcess::setDcopTransport | ( | const QCString & | dcopTransport | ) |

inline

Specify dcop transport.

Definition at line 41 of file stub.h.

void StubProcess::setPriority | ( | int | prio | ) |

Set the priority of the process.

The priority value must be between 0 and 100, 0 being the lowest priority. This value is mapped to the scheduler and system dependant priority range of the OS.

Definition at line 48 of file stub.cpp.

void StubProcess::setScheduler | ( | int | sched | ) |

inline

Set the scheduler type.

Definition at line 80 of file stub.h.

void StubProcess::setUser | ( | const QCString & | user | ) |

inline

Set the target user.

Definition at line 52 of file stub.h.

void StubProcess::setXOnly | ( | bool | xonly | ) |

inline

Set to "X only mode": Sycoca is not built and kdeinit is not launched.

Definition at line 57 of file stub.h.

The documentation for this class was generated from the following files:

- stub.h
- stub.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys